#make_dictionary_from_selection.py
#this script will make a basic json file where each selected item is an entry with basic info
#it was made possible through the FluCoMa project (European Union’s Horizon 2020 research and innovation programme, grant #725899)

import json

#get the number of selections
nb_of_sel = RPR_CountSelectedMediaItems(0)

thedict = {}

for item_number in range(nb_of_sel):
    #get the item's active take's source's filepath
    item = RPR_GetSelectedMediaItem( 0, item_number )
    active_take = RPR_GetActiveTake(item)
    thedict["item" + str(item_number)] = {"track": RPR_GetTrackName(RPR_GetMediaItemTrack(item), "", 512)[2], "start": RPR_GetMediaItemInfo_Value( item, "D_POSITION" ), "file": RPR_GetMediaSourceFileName(RPR_GetMediaItemTake_Source(active_take), "", 512)[1], "offset": RPR_GetMediaItemTakeInfo_Value(active_take, "D_STARTOFFS"), "length":  RPR_GetMediaItemInfo_Value( item, "D_LENGTH" )}

# RPR_ShowConsoleMsg(thedict + "\n")

f = open("/tmp/fromReaper.json",'w')
f.write(json.dumps(thedict))
f.close()
